JUCE: Colours Namespace Reference

JUCE

Functions | Variables
Colours Namespace Reference

Contains a set of predefined named colours (mostly standard HTML colours) More...

## Functions
JUCE_API Colour | findColourForName (const String &colourName, Colour defaultColour)
| Attempts to look up a string in the list of known colour names, and return the appropriate colour. More...

## Variables
const Colour | transparentBlack { 0 }
const Colour | transparentWhite { 0x00ffffff }
const Colour | aliceblue { 0xfff0f8ff }
const Colour | antiquewhite { 0xfffaebd7 }
const Colour | aqua { 0xff00ffff }
const Colour | aquamarine { 0xff7fffd4 }
const Colour | azure { 0xfff0ffff }
const Colour | beige { 0xfff5f5dc }
const Colour | bisque { 0xffffe4c4 }
const Colour | black { 0xff000000 }
const Colour | blanchedalmond { 0xffffebcd }
const Colour | blue { 0xff0000ff }
const Colour | blueviolet { 0xff8a2be2 }
const Colour | brown { 0xffa52a2a }
const Colour | burlywood { 0xffdeb887 }
const Colour | cadetblue { 0xff5f9ea0 }
const Colour | chartreuse { 0xff7fff00 }
const Colour | chocolate { 0xffd2691e }
const Colour | coral { 0xffff7f50 }
const Colour | cornflowerblue { 0xff6495ed }
const Colour | cornsilk { 0xfffff8dc }
const Colour | crimson { 0xffdc143c }
const Colour | cyan { 0xff00ffff }
const Colour | darkblue { 0xff00008b }
const Colour | darkcyan { 0xff008b8b }
const Colour | darkgoldenrod { 0xffb8860b }
const Colour | darkgrey { 0xff555555 }
const Colour | darkgreen { 0xff006400 }
const Colour | darkkhaki { 0xffbdb76b }
const Colour | darkmagenta { 0xff8b008b }
const Colour | darkolivegreen { 0xff556b2f }
const Colour | darkorange { 0xffff8c00 }
const Colour | darkorchid { 0xff9932cc }
const Colour | darkred { 0xff8b0000 }
const Colour | darksalmon { 0xffe9967a }
const Colour | darkseagreen { 0xff8fbc8f }
const Colour | darkslateblue { 0xff483d8b }
const Colour | darkslategrey { 0xff2f4f4f }
const Colour | darkturquoise { 0xff00ced1 }
const Colour | darkviolet { 0xff9400d3 }
const Colour | deeppink { 0xffff1493 }
const Colour | deepskyblue { 0xff00bfff }
const Colour | dimgrey { 0xff696969 }
const Colour | dodgerblue { 0xff1e90ff }
const Colour | firebrick { 0xffb22222 }
const Colour | floralwhite { 0xfffffaf0 }
const Colour | forestgreen { 0xff228b22 }
const Colour | fuchsia { 0xffff00ff }
const Colour | gainsboro { 0xffdcdcdc }
const Colour | ghostwhite { 0xfff8f8ff }
const Colour | gold { 0xffffd700 }
const Colour | goldenrod { 0xffdaa520 }
const Colour | grey { 0xff808080 }
const Colour | green { 0xff008000 }
const Colour | greenyellow { 0xffadff2f }
const Colour | honeydew { 0xfff0fff0 }
const Colour | hotpink { 0xffff69b4 }
const Colour | indianred { 0xffcd5c5c }
const Colour | indigo { 0xff4b0082 }
const Colour | ivory { 0xfffffff0 }
const Colour | khaki { 0xfff0e68c }
const Colour | lavender { 0xffe6e6fa }
const Colour | lavenderblush { 0xfffff0f5 }
const Colour | lawngreen { 0xff7cfc00 }
const Colour | lemonchiffon { 0xfffffacd }
const Colour | lightblue { 0xffadd8e6 }
const Colour | lightcoral { 0xfff08080 }
const Colour | lightcyan { 0xffe0ffff }
const Colour | lightgoldenrodyellow { 0xfffafad2 }
const Colour | lightgreen { 0xff90ee90 }
const Colour | lightgrey { 0xffd3d3d3 }
const Colour | lightpink { 0xffffb6c1 }
const Colour | lightsalmon { 0xffffa07a }
const Colour | lightseagreen { 0xff20b2aa }
const Colour | lightskyblue { 0xff87cefa }
const Colour | lightslategrey { 0xff778899 }
const Colour | lightsteelblue { 0xffb0c4de }
const Colour | lightyellow { 0xffffffe0 }
const Colour | lime { 0xff00ff00 }
const Colour | limegreen { 0xff32cd32 }
const Colour | linen { 0xfffaf0e6 }
const Colour | magenta { 0xffff00ff }
const Colour | maroon { 0xff800000 }
const Colour | mediumaquamarine { 0xff66cdaa }
const Colour | mediumblue { 0xff0000cd }
const Colour | mediumorchid { 0xffba55d3 }
const Colour | mediumpurple { 0xff9370db }
const Colour | mediumseagreen { 0xff3cb371 }
const Colour | mediumslateblue { 0xff7b68ee }
const Colour | mediumspringgreen { 0xff00fa9a }
const Colour | mediumturquoise { 0xff48d1cc }
const Colour | mediumvioletred { 0xffc71585 }
const Colour | midnightblue { 0xff191970 }
const Colour | mintcream { 0xfff5fffa }
const Colour | mistyrose { 0xffffe4e1 }
const Colour | moccasin { 0xffffe4b5 }
const Colour | navajowhite { 0xffffdead }
const Colour | navy { 0xff000080 }
const Colour | oldlace { 0xfffdf5e6 }
const Colour | olive { 0xff808000 }
const Colour | olivedrab { 0xff6b8e23 }
const Colour | orange { 0xffffa500 }
const Colour | orangered { 0xffff4500 }
const Colour | orchid { 0xffda70d6 }
const Colour | palegoldenrod { 0xffeee8aa }
const Colour | palegreen { 0xff98fb98 }
const Colour | paleturquoise { 0xffafeeee }
const Colour | palevioletred { 0xffdb7093 }
const Colour | papayawhip { 0xffffefd5 }
const Colour | peachpuff { 0xffffdab9 }
const Colour | peru { 0xffcd853f }
const Colour | pink { 0xffffc0cb }
const Colour | plum { 0xffdda0dd }
const Colour | powderblue { 0xffb0e0e6 }
const Colour | purple { 0xff800080 }
const Colour | rebeccapurple { 0xff663399 }
const Colour | red { 0xffff0000 }
const Colour | rosybrown { 0xffbc8f8f }
const Colour | royalblue { 0xff4169e1 }
const Colour | saddlebrown { 0xff8b4513 }
const Colour | salmon { 0xfffa8072 }
const Colour | sandybrown { 0xfff4a460 }
const Colour | seagreen { 0xff2e8b57 }
const Colour | seashell { 0xfffff5ee }
const Colour | sienna { 0xffa0522d }
const Colour | silver { 0xffc0c0c0 }
const Colour | skyblue { 0xff87ceeb }
const Colour | slateblue { 0xff6a5acd }
const Colour | slategrey { 0xff708090 }
const Colour | snow { 0xfffffafa }
const Colour | springgreen { 0xff00ff7f }
const Colour | steelblue { 0xff4682b4 }
const Colour | tan { 0xffd2b48c }
const Colour | teal { 0xff008080 }
const Colour | thistle { 0xffd8bfd8 }
const Colour | tomato { 0xffff6347 }
const Colour | turquoise { 0xff40e0d0 }
const Colour | violet { 0xffee82ee }
const Colour | wheat { 0xfff5deb3 }
const Colour | white { 0xffffffff }
const Colour | whitesmoke { 0xfff5f5f5 }
const Colour | yellow { 0xffffff00 }
const Colour | yellowgreen { 0xff9acd32 }

## Detailed Description

Contains a set of predefined named colours (mostly standard HTML colours)

See also
  Colour

## Function Documentation

## ◆ findColourForName()

JUCE_API Colour Colours::findColourForName | ( | const String & | colourName,
|  | Colour | defaultColour
| ) |  |

Attempts to look up a string in the list of known colour names, and return the appropriate colour.

A non-case-sensitive search is made of the list of predefined colours, and if a match is found, that colour is returned. If no match is found, the colour passed in as the defaultColour parameter is returned.

## Variable Documentation

## ◆ transparentBlack

const Colour Colours::transparentBlack { 0 }

## ◆ transparentWhite

const Colour Colours::transparentWhite { 0x00ffffff }

## ◆ aliceblue

const Colour Colours::aliceblue { 0xfff0f8ff }

## ◆ antiquewhite

const Colour Colours::antiquewhite { 0xfffaebd7 }

## ◆ aqua

const Colour Colours::aqua { 0xff00ffff }

## ◆ aquamarine

const Colour Colours::aquamarine { 0xff7fffd4 }

## ◆ azure

const Colour Colours::azure { 0xfff0ffff }

## ◆ beige

const Colour Colours::beige { 0xfff5f5dc }

## ◆ bisque

const Colour Colours::bisque { 0xffffe4c4 }

## ◆ black

const Colour Colours::black { 0xff000000 }

## ◆ blanchedalmond

const Colour Colours::blanchedalmond { 0xffffebcd }

## ◆ blue

const Colour Colours::blue { 0xff0000ff }

Referenced by PixelRGB::setARGB().

## ◆ blueviolet

const Colour Colours::blueviolet { 0xff8a2be2 }

## ◆ brown

const Colour Colours::brown { 0xffa52a2a }

## ◆ burlywood

const Colour Colours::burlywood { 0xffdeb887 }

## ◆ cadetblue

const Colour Colours::cadetblue { 0xff5f9ea0 }

## ◆ chartreuse

const Colour Colours::chartreuse { 0xff7fff00 }

## ◆ chocolate

const Colour Colours::chocolate { 0xffd2691e }

## ◆ coral

const Colour Colours::coral { 0xffff7f50 }

## ◆ cornflowerblue

const Colour Colours::cornflowerblue { 0xff6495ed }

## ◆ cornsilk

const Colour Colours::cornsilk { 0xfffff8dc }

## ◆ crimson

const Colour Colours::crimson { 0xffdc143c }

## ◆ cyan

const Colour Colours::cyan { 0xff00ffff }

## ◆ darkblue

const Colour Colours::darkblue { 0xff00008b }

## ◆ darkcyan

const Colour Colours::darkcyan { 0xff008b8b }

## ◆ darkgoldenrod

const Colour Colours::darkgoldenrod { 0xffb8860b }

## ◆ darkgrey

const Colour Colours::darkgrey { 0xff555555 }

## ◆ darkgreen

const Colour Colours::darkgreen { 0xff006400 }

## ◆ darkkhaki

const Colour Colours::darkkhaki { 0xffbdb76b }

## ◆ darkmagenta

const Colour Colours::darkmagenta { 0xff8b008b }

## ◆ darkolivegreen

const Colour Colours::darkolivegreen { 0xff556b2f }

## ◆ darkorange

const Colour Colours::darkorange { 0xffff8c00 }

## ◆ darkorchid

const Colour Colours::darkorchid { 0xff9932cc }

## ◆ darkred

const Colour Colours::darkred { 0xff8b0000 }

## ◆ darksalmon

const Colour Colours::darksalmon { 0xffe9967a }

## ◆ darkseagreen

const Colour Colours::darkseagreen { 0xff8fbc8f }

## ◆ darkslateblue

const Colour Colours::darkslateblue { 0xff483d8b }

## ◆ darkslategrey

const Colour Colours::darkslategrey { 0xff2f4f4f }

## ◆ darkturquoise

const Colour Colours::darkturquoise { 0xff00ced1 }

## ◆ darkviolet

const Colour Colours::darkviolet { 0xff9400d3 }

## ◆ deeppink

const Colour Colours::deeppink { 0xffff1493 }

## ◆ deepskyblue

const Colour Colours::deepskyblue { 0xff00bfff }

## ◆ dimgrey

const Colour Colours::dimgrey { 0xff696969 }

## ◆ dodgerblue

const Colour Colours::dodgerblue { 0xff1e90ff }

## ◆ firebrick

const Colour Colours::firebrick { 0xffb22222 }

## ◆ floralwhite

const Colour Colours::floralwhite { 0xfffffaf0 }

## ◆ forestgreen

const Colour Colours::forestgreen { 0xff228b22 }

## ◆ fuchsia

const Colour Colours::fuchsia { 0xffff00ff }

## ◆ gainsboro

const Colour Colours::gainsboro { 0xffdcdcdc }

## ◆ ghostwhite

const Colour Colours::ghostwhite { 0xfff8f8ff }

## ◆ gold

const Colour Colours::gold { 0xffffd700 }

## ◆ goldenrod

const Colour Colours::goldenrod { 0xffdaa520 }

## ◆ grey

const Colour Colours::grey { 0xff808080 }

## ◆ green

const Colour Colours::green { 0xff008000 }

Referenced by PixelRGB::setARGB().

## ◆ greenyellow

const Colour Colours::greenyellow { 0xffadff2f }

## ◆ honeydew

const Colour Colours::honeydew { 0xfff0fff0 }

## ◆ hotpink

const Colour Colours::hotpink { 0xffff69b4 }

## ◆ indianred

const Colour Colours::indianred { 0xffcd5c5c }

## ◆ indigo

const Colour Colours::indigo { 0xff4b0082 }

## ◆ ivory

const Colour Colours::ivory { 0xfffffff0 }

## ◆ khaki

const Colour Colours::khaki { 0xfff0e68c }

## ◆ lavender

const Colour Colours::lavender { 0xffe6e6fa }

## ◆ lavenderblush

const Colour Colours::lavenderblush { 0xfffff0f5 }

## ◆ lawngreen

const Colour Colours::lawngreen { 0xff7cfc00 }

## ◆ lemonchiffon

const Colour Colours::lemonchiffon { 0xfffffacd }

## ◆ lightblue

const Colour Colours::lightblue { 0xffadd8e6 }

## ◆ lightcoral

const Colour Colours::lightcoral { 0xfff08080 }

## ◆ lightcyan

const Colour Colours::lightcyan { 0xffe0ffff }

## ◆ lightgoldenrodyellow

const Colour Colours::lightgoldenrodyellow { 0xfffafad2 }

## ◆ lightgreen

const Colour Colours::lightgreen { 0xff90ee90 }

## ◆ lightgrey

const Colour Colours::lightgrey { 0xffd3d3d3 }

## ◆ lightpink

const Colour Colours::lightpink { 0xffffb6c1 }

## ◆ lightsalmon

const Colour Colours::lightsalmon { 0xffffa07a }

## ◆ lightseagreen

const Colour Colours::lightseagreen { 0xff20b2aa }

## ◆ lightskyblue

const Colour Colours::lightskyblue { 0xff87cefa }

## ◆ lightslategrey

const Colour Colours::lightslategrey { 0xff778899 }

## ◆ lightsteelblue

const Colour Colours::lightsteelblue { 0xffb0c4de }

## ◆ lightyellow

const Colour Colours::lightyellow { 0xffffffe0 }

## ◆ lime

const Colour Colours::lime { 0xff00ff00 }

## ◆ limegreen

const Colour Colours::limegreen { 0xff32cd32 }

## ◆ linen

const Colour Colours::linen { 0xfffaf0e6 }

## ◆ magenta

const Colour Colours::magenta { 0xffff00ff }

## ◆ maroon

const Colour Colours::maroon { 0xff800000 }

## ◆ mediumaquamarine

const Colour Colours::mediumaquamarine { 0xff66cdaa }

## ◆ mediumblue

const Colour Colours::mediumblue { 0xff0000cd }

## ◆ mediumorchid

const Colour Colours::mediumorchid { 0xffba55d3 }

## ◆ mediumpurple

const Colour Colours::mediumpurple { 0xff9370db }

## ◆ mediumseagreen

const Colour Colours::mediumseagreen { 0xff3cb371 }

## ◆ mediumslateblue

const Colour Colours::mediumslateblue { 0xff7b68ee }

## ◆ mediumspringgreen

const Colour Colours::mediumspringgreen { 0xff00fa9a }

## ◆ mediumturquoise

const Colour Colours::mediumturquoise { 0xff48d1cc }

## ◆ mediumvioletred

const Colour Colours::mediumvioletred { 0xffc71585 }

## ◆ midnightblue

const Colour Colours::midnightblue { 0xff191970 }

## ◆ mintcream

const Colour Colours::mintcream { 0xfff5fffa }

## ◆ mistyrose

const Colour Colours::mistyrose { 0xffffe4e1 }

## ◆ moccasin

const Colour Colours::moccasin { 0xffffe4b5 }

## ◆ navajowhite

const Colour Colours::navajowhite { 0xffffdead }

## ◆ navy

const Colour Colours::navy { 0xff000080 }

## ◆ oldlace

const Colour Colours::oldlace { 0xfffdf5e6 }

## ◆ olive

const Colour Colours::olive { 0xff808000 }

## ◆ olivedrab

const Colour Colours::olivedrab { 0xff6b8e23 }

## ◆ orange

const Colour Colours::orange { 0xffffa500 }

## ◆ orangered

const Colour Colours::orangered { 0xffff4500 }

## ◆ orchid

const Colour Colours::orchid { 0xffda70d6 }

## ◆ palegoldenrod

const Colour Colours::palegoldenrod { 0xffeee8aa }

## ◆ palegreen

const Colour Colours::palegreen { 0xff98fb98 }

## ◆ paleturquoise

const Colour Colours::paleturquoise { 0xffafeeee }

## ◆ palevioletred

const Colour Colours::palevioletred { 0xffdb7093 }

## ◆ papayawhip

const Colour Colours::papayawhip { 0xffffefd5 }

## ◆ peachpuff

const Colour Colours::peachpuff { 0xffffdab9 }

## ◆ peru

const Colour Colours::peru { 0xffcd853f }

## ◆ pink

const Colour Colours::pink { 0xffffc0cb }

## ◆ plum

const Colour Colours::plum { 0xffdda0dd }

## ◆ powderblue

const Colour Colours::powderblue { 0xffb0e0e6 }

## ◆ purple

const Colour Colours::purple { 0xff800080 }

## ◆ rebeccapurple

const Colour Colours::rebeccapurple { 0xff663399 }

## ◆ red

const Colour Colours::red { 0xffff0000 }

Referenced by PixelRGB::setARGB().

## ◆ rosybrown

const Colour Colours::rosybrown { 0xffbc8f8f }

## ◆ royalblue

const Colour Colours::royalblue { 0xff4169e1 }

## ◆ saddlebrown

const Colour Colours::saddlebrown { 0xff8b4513 }

## ◆ salmon

const Colour Colours::salmon { 0xfffa8072 }

## ◆ sandybrown

const Colour Colours::sandybrown { 0xfff4a460 }

## ◆ seagreen

const Colour Colours::seagreen { 0xff2e8b57 }

## ◆ seashell

const Colour Colours::seashell { 0xfffff5ee }

## ◆ sienna

const Colour Colours::sienna { 0xffa0522d }

## ◆ silver

const Colour Colours::silver { 0xffc0c0c0 }

## ◆ skyblue

const Colour Colours::skyblue { 0xff87ceeb }

## ◆ slateblue

const Colour Colours::slateblue { 0xff6a5acd }

## ◆ slategrey

const Colour Colours::slategrey { 0xff708090 }

## ◆ snow

const Colour Colours::snow { 0xfffffafa }

## ◆ springgreen

const Colour Colours::springgreen { 0xff00ff7f }

## ◆ steelblue

const Colour Colours::steelblue { 0xff4682b4 }

## ◆ tan

const Colour Colours::tan { 0xffd2b48c }

Referenced by dsp::StateVariableFilter::Parameters< NumericType >::setCutOffFrequency().

## ◆ teal

const Colour Colours::teal { 0xff008080 }

## ◆ thistle

const Colour Colours::thistle { 0xffd8bfd8 }

## ◆ tomato

const Colour Colours::tomato { 0xffff6347 }

## ◆ turquoise

const Colour Colours::turquoise { 0xff40e0d0 }

## ◆ violet

const Colour Colours::violet { 0xffee82ee }

## ◆ wheat

const Colour Colours::wheat { 0xfff5deb3 }

## ◆ white

const Colour Colours::white { 0xffffffff }

## ◆ whitesmoke

const Colour Colours::whitesmoke { 0xfff5f5f5 }

## ◆ yellow

const Colour Colours::yellow { 0xffffff00 }

## ◆ yellowgreen

const Colour Colours::yellowgreen { 0xff9acd32 }